language: php

sudo: false

php: [5.6, 7.0, 7.1, 7.2]

matrix:
  fast_finish: true
  include:
    - php: 5.3
      dist: precise
    - php: 5.4
      dist: trusty
    - php: 5.5
      dist: trusty
    - php: 7.1
      env: COMPOSER_FLAGS='--prefer-lowest --prefer-stable' SYMFONY_DEPRECATIONS_HELPER=weak
    - php: 7.2
      env: DEPENDENCIES=dev SYMFONY_PHPUNIT_VERSION=7.5

cache:
  directories:
    - $HOME/.composer/cache/files
    - $HOME/symfony-bridge/.phpunit

before_install:
  - if [ "$DEPENDENCIES" = "dev" ]; then composer config minimum-stability dev; fi;

install:
  - composer update $COMPOSER_FLAGS
  - vendor/bin/simple-phpunit install

script: vendor/bin/simple-phpunit -v --coverage-clover=coverage.clover

after_script:
  - wget https://scrutinizer-ci.com/ocular.phar
  - php ocular.phar code-coverage:upload --format=php-clover coverage.clover
